Bug 161903 - Sound doesn't work on Dell Latitude D610 w/ Intel audio
Sound doesn't work on Dell Latitude D610 w/ Intel audio
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-28 07:38 EDT by Chase Stephens
Modified: 2015-01-04 17:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 01:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chase Stephens 2005-06-28 07:38:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
On my Dell Latitude D610, the soundcard is deteceted, and the snd-intel8x0 driver is loaded. This should be the correct driver, but no sound is heard when "Play test sound" is clicked.

RHEL 4 WS finds the sound card correctly, as does SUSE 9.3.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1. run system-config-soundcard
2. Click "Play test sound"
  

Actual Results:  No sound is heard

Expected Results:  Should have heard test sound

Additional info:

I see this line in dmesg: snd_intel8x0: Unknown parameter `'

lsmod:
Module                  Size  Used by
parport_pc             28933  1
lp                     13001  0
parport                40585  2 parport_pc,lp
autofs4                29253  2
rfcomm                 42333  0
l2cap                  30661  5 rfcomm
bluetooth              56133  4 rfcomm,l2cap
sunrpc                167813  1
ipt_REJECT              5569  1
ipt_state               1857  2
ip_conntrack           41497  1 ipt_state
iptable_filter          2881  1
ip_tables              19521  3 ipt_REJECT,ipt_state,iptable_filter
reiserfs              264757  1
dm_mod                 58101  0
video                  15941  0
button                  6609  0
battery                 9413  0
ac                      4805  0
md5                     4033  1
ipv6                  268097  8
uhci_hcd               35152  0
ehci_hcd               41037  0
snd_intel8x0m          19589  0
i2c_i801                8781  0
i2c_core               21569  1 i2c_i801
snd_intel8x0           34689  1
snd_ac97_codec         75961  2 snd_intel8x0m,snd_intel8x0
snd_seq_dummy           3653  0
snd_seq_oss            37057  0
snd_seq_midi_event      9153  1 snd_seq_oss
snd_seq                62289  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          8781  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            51185  0
snd_mixer_oss          17857  1 snd_pcm_oss
snd_pcm               100169  4 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              33605  2 snd_seq,snd_pcm
snd                    57157  12 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              10913  1 snd
snd_page_alloc          9669  3 snd_intel8x0m,snd_intel8x0,snd_pcm
pcmcia                 29025  2
yenta_socket           21449  1
rsrc_nonstatic         12737  1 yenta_socket
pcmcia_core            50909  3 pcmcia,yenta_socket,rsrc_nonstatic
driverloader          333360  0
tg3                   108229  0
ext3                  132553  2
jbd                    86233  1 ext3
ata_piix                9413  4
libata                 47045  1 ata_piix
sd_mod                 20545  5
scsi_mod              148105  2 libata,sd_mod

modules.conf:
alias eth0 tg3
alias scsi_hostadapter ata_piix
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
options snd-intel8x0 index=0
remove snd-intel8x0 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; }; /sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias eth1 driverloader
Comment 1 Chase Stephens 2005-07-06 07:12:47 EDT
After doing some research on the Web, I discovered you have to manually enable
External Amplifier under Volume Control before the sound card will work.
However, this only fixed the problem when the machine is undocked. On the dock,
sound still does not work.
Comment 2 Dave Jones 2005-07-15 17:07:07 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 3 Chase Stephens 2005-07-20 07:23:16 EDT
Sound now works through the laptop speakers but not through the dock. This is
how it was in FC 3.
Comment 4 Dave Jones 2005-08-04 01:51:22 EDT
I recommend pursuing this with the upstream ALSA folks. They are more likely to
be familiar with the hardware, and may actually be able to reproduce it.

Their bug tracker is at https://bugtrack.alsa-project.org

Thanks for your testing.


Note You need to log in before you can comment on or make changes to this bug.